## org.apache.batik.dom.svg
Interface AnimatedAttributeListener

All Known Implementing Classes:
  BridgeContext.AnimatedAttrListener, SVGOMDocument.AnimAttrListener

    public interface AnimatedAttributeListener

An interface to listen for changes on any animatable XML attribute in an `SVGOMDocument`.

Method Summary
`void` `animatedAttributeChanged(org.w3c.dom.Element e, AnimatedLiveAttributeValue alav)` Called to notify an object of a change to the animated value of an animatable XML attribute.
`void` `otherAnimationChanged(org.w3c.dom.Element e, java.lang.String type)` Called to notify an object of a change to the value of an 'other' animation.

Method Detail

### animatedAttributeChanged

    void animatedAttributeChanged(org.w3c.dom.Element e,
                                  AnimatedLiveAttributeValue alav)

  Called to notify an object of a change to the animated value of an animatable XML attribute.

  Parameters:
    `e` - the owner element of the changed animatable attribute
    `alav` - the AnimatedLiveAttributeValue that changed

### otherAnimationChanged

    void otherAnimationChanged(org.w3c.dom.Element e,
                               java.lang.String type)

  Called to notify an object of a change to the value of an 'other' animation.

  Parameters:
    `e` - the element being animated
    `type` - the type of animation whose value changed

Copyright © 2008 Apache Software Foundation. All Rights Reserved.